Subject: Re: lambda inside interactive form of around advice isn't a closure

From: Jonas Bernoulli <[email-masked]>
Date: Sun, 05 Feb 2023 17:43:28 +0100

Stefan Monnier <[email-masked]> writes:

>> A function used as an around advice may advise the advised function's
>> interactive form, using (interactive (lambda (spec) ...)).
>>
>> Unfortunately this inner lambda expression is not turned into a closure
>> as demonstrated by this simple example:
>
> I installed a patch in `master` which should fix this problem, both for
> the case where the code is interpreted and for the case where it is
> byte-compiled.
>
> Could you confirm that it works for you?

Thanks a lot!  I'll try it out tomorrow (it doesn't seem my brain feels
like work today).

     Jonas